> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--sbom/types/inputs/get-sbom-input.md).

# getSbomInput

Defines input parameters for retrieving SBOM libraries with enhanced filtering and pagination support.

### Examples

```graphql
input GetSbomInput {
  scanId: String
  conditionalFilters: [ConditionalFilters]
  search: String
  limit: Int
  offset: Int
  sort: SbomLibSortInput
  owners: [String]
  tagIds: [String]
  forCSV: Boolean
  appPage: Boolean
  cursorValue: String
}
```

### Fields

| Field                                                                                                                              | Description                                                                                                                                                                                                                                                                                    | Supported fields                                                                                                                                                                                                                                                        |
| ---------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| scanId `String`                                                                                                                    | Specific scan identifier to retrieve libraries from                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                         |
| conditionalFilters [`[ConditionalFilters]`](/api-documentation/api-reference/api--application/types/inputs/conditional-filters.md) | Conditional filters to apply for advanced querying                                                                                                                                                                                                                                             | <p>condition <a href="/pages/pEzh4bUHpgEO9hKwuQuZ"><code>ConditionType</code></a><br>fieldName <a href="/pages/43jgm6P5kcKgBM8FmTho"><code>FilterTypes</code></a><br>values <code>\[String]</code><br>greaterThan <code>Float</code><br>lessThan <code>Float</code></p> |
| search `String`                                                                                                                    | Text search query to find specific libraries                                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                         |
| limit `Int`                                                                                                                        | Maximum number of libraries to return                                                                                                                                                                                                                                                          |                                                                                                                                                                                                                                                                         |
| offset `Int`                                                                                                                       | Number of libraries to skip for pagination                                                                                                                                                                                                                                                     |                                                                                                                                                                                                                                                                         |
| sort [`SbomLibSortInput`](/api-documentation/api-reference/api--sbom/types/inputs/sbom-lib-sort-input.md)                          | Sorting configuration for the results                                                                                                                                                                                                                                                          | <p>fields <a href="/pages/pUpQTJRFtOv9QfeDRjBY"><code>\[SbomLibSortFields]</code></a><br>order <a href="/pages/MShdjanlfhzp71ZokzYR"><code>\[Direction]</code></a></p>                                                                                                  |
| owners `[String]`                                                                                                                  | Filter by application owners                                                                                                                                                                                                                                                                   |                                                                                                                                                                                                                                                                         |
| tagIds `[String]`                                                                                                                  | Filter by tag identifiers for role-based access control                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                         |
| forCSV `Boolean`                                                                                                                   | Flag indicating if this request is for CSV export                                                                                                                                                                                                                                              |                                                                                                                                                                                                                                                                         |
| appPage `Boolean`                                                                                                                  | Flag indicating if this request is for application page                                                                                                                                                                                                                                        |                                                                                                                                                                                                                                                                         |
| cursorValue `String`                                                                                                               | A value returned by the API that represents the position of the last item in the previous page. Use this value to paginate efficiently through the results. Pass the cursorValue from the previous API response to fetch the next page of results. If omitted, the API returns the first page. |                                                                                                                                                                                                                                                                         |

### References

#### Queries using this object:

* [\<?> getSbom.input](/api-documentation/api-reference/api--sbom/queries/get-sbom.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--sbom/types/inputs/get-sbom-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
